Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.dataretrieval
Class LocatorType

    java.lang.Object
      org.apache.axis2.dataretrieval.LocatorType

    public class LocatorType

extends java.lang.Object

Defines Data Locator types as described below: DEFAULT_AXIS - Default Axis2 data locator GLOBAL_LEVEL - Global level data locator i.e.,plug-in data locator registered using element in axis2.xml. GLOBAL_DIALECT - Global level dialect specfic data locator i.e.,plug-in data locator registered using element in axis2.xml. SERVICE_LEVEL - Service level data locator i.e. plug-in data locator registered using element in services.xml. SERVICE_DIALECT - Service level dialect specific data locator i.e. plug-in data locator registered using element in services.xml.

Field Summary
`static LocatorType` | `DEFAULT_AXIS`
`static LocatorType` | `GLOBAL_DIALECT`
`static LocatorType` | `GLOBAL_LEVEL`
`static LocatorType` | `SERVICE_DIALECT`
`static LocatorType` | `SERVICE_LEVEL`

Constructor Summary
`protected` | `LocatorType(int intype)`

Method Summary
`int` | `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_AXIS

    public static final LocatorType DEFAULT_AXIS

### GLOBAL_LEVEL

    public static final LocatorType GLOBAL_LEVEL

### GLOBAL_DIALECT

    public static final LocatorType GLOBAL_DIALECT

### SERVICE_LEVEL

    public static final LocatorType SERVICE_LEVEL

### SERVICE_DIALECT

    public static final LocatorType SERVICE_DIALECT

Constructor Detail

### LocatorType

    protected LocatorType(int intype)

Method Detail

### getType

    public int getType()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.